
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Servlet、Jsp性能优化 / iVAN</title>

    <meta name="description" content="Servlet、Jsp性能优化 js|servlet|性能|优化 你的J2EE应用是不是运行的很慢?它们能不能承受住不断上升的访问量?本文讲述了开发高性能.高弹性的JSP页面和Servlet的性能优化技术.其意思是建立尽可能快的并能适应数量增长的用户及其请求.在本文中,我将带领你学习已经实践和得到证实的性能调整技术,它将大大地提高你的servlet和jsp页面的性能,进而提升J2EE的性能.这些技术的部分用于开发阶段,例如,设计和编码阶段.另一部分技术则与配置相关. 技术1:在HttpServlet init()方法中缓存数据">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Servlet、Jsp性能优化</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>js|servlet|性能|优化</p>
<table>
<tr>
<td>你的J2EE应用是不是运行的很慢？它们能不能承受住不断上升的访问量？本文讲述了开发高性能、高弹性的JSP页面和Servlet的性能优化技术。其意思是建立尽可能快的并能适应数量增长的用户及其请求。在本文中，我将带领你学习已经实践和得到证实的性能调整技术，它将大大地提高你的servlet和jsp页面的性能，进而提升J2EE的性能。这些技术的部分用于开发阶段，例如，设计和编码阶段。另一部分技术则与配置相关。</p>
<p><b>技术1：在HttpServlet init()方法中缓存数据</b></p>
<p>服务器会在创建servlet实例之后和servlet处理任何请求之前调用servlet的init()方法。该方法在servlet的生命周期中仅调用一次。为了提高性能，在init()中缓存静态数据或完成要在初始化期间完成的代价昂贵的操作。例如，一个最佳实践是使用实现了javax.sql.DataSource接口的JDBC连接池。DataSource从JNDI树中获得。每调用一次SQL就要使用JNDI查找DataSource是非常昂贵的工作，而且严重影响了应用的性能。Servlet的init()方法可以用于获取DataSource并缓存它以便之后的重用：</p>
<table>
<tr>
<td>
<pre>public class ControllerServlet extends HttpServlet{   private javax.sql.DataSource testDS = null;   public void init(ServletConfig config) throws ServletException   {      super.init(config);      Context ctx  = null;      try      {         ctx = new InitialContext();         testDS = (javax.sql.DataSource)ctx.lookup("jdbc/testDS");      }      catch(NamingException ne)      {         ne.printStackTrace();                     }       catch(Exception e)       {          e.printStackTrace();       }   }   public javax.sql.DataSource getTestDS()      {         return testDS;      }   ...   ...}</pre>
</td>
</tr>
</table>
<p><b>技术2：禁用servlet和Jsp的自动装载功能</b></p>
<p>当每次修改了Servlet/JSP之后，你将不得不重新启动服务器。由于自动装载功能减少开发时间，该功能被认为在开发阶段是非常有用的。但是，它在运行阶段是非常昂贵的；servlet/JSP由于不必要的装载，增加类装载器的负担而造成很差的性能。同样，这会使你的应用由于已被某种类装载器装载的类不能和当前类装载器装载的类不能相互协作而出现奇怪的冲突现象。因此，在运行环境中为了得到更好的性能，关闭servlet/JSP的自动装载功能。</p>
<p><b>技术3：控制HttpSession</b></p>
<p>许多应用需要一系列客户端的请求，因此他们能互相相关联。由于HTTP协议是无状态的，所以基于Web的应用需要负责维护这样一个叫做session的状态。为了支持必须维护状态的应用，Java servlet技术提供了管理session和允许多种机制实现session的API。HttpSession对象扮演了session，但是使用它需要成本。无论何时HttpSession被使用和重写，它都由servlet读取。你可以通过使用下面的技术来提高性能：<br />在JSP页面中不要创建默认的HttpSession:默认情况下，JSP页面创建HttpSession。如果你在JSP页面中不用HttpSession，为了节省性能开销，使用下边的页面指令可以避免自动创建HttpSession对象：<br />&lt;%@ page session="false"%&gt;<br />不要将大的对象图存储在HttpSession中：如果你将数据当作一个大的对象图存储在HttpSession中，应用服务器每次将不得不处理整个HttpSession对象。这将迫使Java序列化和增加计算开销。由于序列化的开销，随着存储在HttpSession对象中数据对象的增大，系统的吞吐量将会下降。<br />用完后释放HttpSession：当不在使用HttpSession时，使用HttpSession.invalidate()方法使sesion失效。<br />设置超时值：一个servlet引擎有一个默认的超时值。如果你不删除session或者一直把session用到它超时的时候，servlet引擎将把session从内存中删除。由于在内存和垃圾收集上的开销，session的超时值越大，它对系统弹性和性能的影响也越大。试着将session的超时值设置的尽可能低。</p>
<p><b>技术4：使用gzip压缩</b></p>
<p>压缩是删除冗余信息的作法，用尽可能小的空间描述你的信息。使用gzip（GNU zip）压缩文档能有效地减少下载HTML文件的时间。你的信息量越小，它们被送出的速度越快。因此，如果你压缩了由你web应用产生的内容，它到达用户并显示在用户屏幕上的速度就越快。不是任何浏览器都支持gzip压缩的，但检查一个浏览器是否支持它并发送gzip压缩内容到浏览器是很容易的事情。下边的代码段说明了如何发送压缩的内容。</p>
<table>
<tr>
<td>
<pre>public void doGet(HttpServletRequest request, HttpServletResponse response)          throws IOException, ServletException{             OutputStream out = null   // Check the Accepting-Encoding header from the HTTP request.   // If the header includes gzip, choose GZIP.   // If the header includes compress, choose ZIP.   // Otherwise choose no compression.   String encoding = request.getHeader("Accept-Encoding");             if (encoding != null &amp;&amp; encoding.indexOf("gzip") != -1)   {       response.setHeader("Content-Encoding" , "gzip");       out = new GZIPOutputStream(response.getOutputStream());   }   else if (encoding != null &amp;&amp; encoding.indexOf("compress") != -1)   {       response.setHeader("Content-Encoding" , "compress");       out = new ZIPOutputStream(response.getOutputStream());   }   else   {       out = response.getOutputStream();   }   ...   ...</pre>
</td>
</tr>
</table>
<p><b>}</p>
<p>技术5：不要使用SingleThreadModel</b></p>
<p>SingleThreadModel保证servlet一次仅处理一个请求。如果一个servlet实现了这个接口，servlet引擎将为每个新的请求创建一个单独的servlet实例，这将引起大量的系统开销。如果你需要解决线程安全问题，请使用其他的办法替代这个接口。SingleThreadModel在Servlet 2.4中是不再提倡使用。</p>
<p><b>技术6：使用线程池</b></p>
<p>servlet引擎为每个请求创建一个单独的线程，将该线程指派给service()方法，然后在service()方法执行完后删除该线程。默认情况下，servlet引擎可能为每个请求创建一个新的线程。由于创建和删除线程的开销是很昂贵的，于是这种默认行为降低了系统的性能。我们可以使用线程池来提高性能。根据预期的并发用户数量，配置一个线程池，设置好线程池里的线程数量的最小和最大值以及增长的最小和最大值。起初，servlet引擎创建一个线程数与配置中的最小线程数量相等的线程池。然后servlet引擎把池中的一个线程指派给一个请求而不是每次都创建新的线程，完成操作之后，servlet引擎把线程放回到线程池中。使用线程池，性能可以显著地提高。如果需要，根据线程的最大数和增长数，可以创建更多的线程。</p>
<p><b>技术7：选择正确的包括机制</b></p>
<p>在JSP页面中，有两中方式可以包括文件：包括指令(&lt;%@ include file="test.jsp" %&gt;)和包括动作(&lt;?XML:NAMESPACE PREFIX = JSP /&gt;)。包括指令在编译阶段包括一个指定文件的内容；例如，当一个页面编译成一个servlet时。包括动作是指在请求阶段包括文件内容；例如，当一个用户请求一个页面时。包括指令要比包括动作快些。因此除非被包括的文件经常变动，否则使用包括指令将会获得更好的性能。</p>
<p><b>技术8：在useBean动作中使用合适的范围</b></p>
<p>使用JSP页面最强大方式之一是和JavaBean组件协同工作。JavaBean使用标签可以嵌入到JSP页面中。语法如下：</p>
<table>
<tr>
<td>
<pre>&lt;jsp:useBean id="name" scope="page|request|session|application" class=  "package.className" type="typeName"&gt;&lt;/jsp:useBean&gt;</pre>
</td>
</tr>
</table>
<p>scope属性说明了bean的可见范围。scope属性的默认值是page。你应该根据你应用的需求选择正确的范围，否则它将影响应用的性能。</p>
<p>例如，如果你需要一个专用于某些请求的对象，但是你把范围设置成了session，那么那个对象将在请求结束之后还保留在内存中。它将一直保留在内存中除非你明确地把它从内存中删除、使session无效或session超时。如果你没有选择正确的范围属性，由于内存和垃圾收集的开销将会影响性能。因此为对象设置合适的范围并在用完它们之后立即删除。</p>
<p>杂项技术<br />避免字符串连接：由于String对象是不可变对象，使用“＋”操作符将会导致创建大量的零时对象。你使用的“＋”越多，产出的零时对象就越多，这将影响性能。当你需要连接字符串时，使用StringBuffer替代“＋”操作。<br />避免使用System.out.println：System.out.println同步处理磁盘输入/输出，这大大地降低了系统吞吐量。尽可能地避免使用System.out.println。尽管有很多成熟的调试工具可以用，但有时System.out.println为了跟踪、或调试的情况下依然很有用。你应该配置System.out.println仅在错误和调试阶段打开它。使用final Boolean型的变量，当配置成false时，在编译阶段完成优化检查和执行跟踪输出。<br />ServletOutputStream 与 PrintWriter比较：由于字符输出流和把数据编码成字节，使用PrintWriter引入了小的性能开销。因此，PrintWriter应该用在所有的字符集都正确地转换做完之后。另一方面，当你知道你的servlet仅返回二进制数据，使用ServletOutputStream，因为servlet容器不编码二进制数据，这样你就能消除字符集转换开销。</p>
<p><b>总结</b></p>
<p>本文的目的是展示给你一些实践的和已经证实的用于提高servlet和JSP性能的性能优化技术，这些将提高你的J2EE应用的整体性能。下一步应该观察其他相关技术的性能调整，如EJB、JMS和JDBC等。</p>
<p><b>作者Email:</b>gagaghost@yahoo.com.cn </td>
</tr>
<tr>
<td></td>
</tr>
</table>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索servlet<br />
                    ，                对象<br />
                    ，                线程<br />
                    ，                性能<br />
                    ，                httpsession<br />
                                    一个<br />
                                    jsp性能优化、jsp servlet、jsp和servlet的区别、servlet跳转到jsp、jsp servlet javabean，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:23:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%80%a7%e8%83%bd/" title="性能">性能</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/servlet/" title="servlet">servlet</a>, <a href="https://www.iamivan.net/tag/httpsession/" title="httpsession">httpsession</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Servlet、Jsp性能优化的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPynmz.html" rel="bookmark">高性能、高弹性的JSP和Servlet的性能优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|servlet|性能|优化     你的J2EE应用是不是运行的很慢?它们能不能承受住不断上升的访问量?本文讲述了开发高性能.高弹性的JSP页面和Servlet的性能优化技术.其意思是建立尽可能快的并能适应数量增长的用户及其请求.在本文中,我将带领你学习已经实践和得到证实的性能调整技术,它将大大地提高你的servlet和jsp页面的性能,进而提升J2EE的性能.这些技术的部分用于开发阶段,例如,设计和编码阶段.另一部分技术则与配置相关.     技术1:在HttpServlet init(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myrq0Zp.html" rel="bookmark">JSP和Servlet的性能优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本文中,带领你学习已经实践和得到证实的性能调整技术,它将大大地提高你的servlet和jsp页面的性能,进而提升J2EE的性能.这些技术的部分用于开发阶段,例如,设计和编码阶段.另一部分技术则与配置相关. 技术1:在HttpServlet init()方法中缓存数据 服务器会在创建servlet实例之后和servlet处理任何请求之前调用servlet的init()方法.该方法在servlet的生命周期中仅调用一次.为了提高性能,在init()中缓存静态数据或完成要在初始化期间完成的代价昂贵的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgmJ3z.html" rel="bookmark">高性能、高弹性JSP和Servlet性能优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你的J2EE应用是不是运行的很慢?它们能不能承受住不断上升的访问量?本文讲述了开发高性能.高弹性的JSP页面和Servlet的性能优化技术.其意思是建立尽可能快的并能适应数量增长的用户及其请求.在本文中,我将带领你学习已经实践和得到证实的性能调整技术,它将大大地提高你的servlet和jsp页面的性能,进而提升J2EE的性能.这些技术的部分用于开发阶段,例如,设计和编码阶段.另一部分技术则与配置相关. 技术1:在HttpServlet init()方法中缓存数据 服务器会在创建servlet实例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2Gvrp.html" rel="bookmark">高性能高弹性JSP和Servlet性能优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你的J2EE应用是不是运行的很慢?它们能不能承受住不断上升的访问量?本文讲述了开发高性能.高弹性的JSP页面和Servlet的性能优化技术.其意思是建立尽可能快的并能适应数量增长的用户及其请求.在本文中,我将带领你学习已经实践和得到证实的性能调整技术,它将大大地提高你的servlet和jsp页面的性能,进而提升J2EE的性能.这些技术的部分用于开发阶段,例如,设计和编码阶段.另一部分技术则与配置相关. 技术1:在HttpServlet init()方法中缓存数据 服务器会在创建servlet实例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b37RAb.html" rel="bookmark">JSP&sol;Servlet应用程序优化八法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|servlet|程序|优化 你的J2EE应用是不是运行的很慢?它们能不能承受住不断上升的访问量?本文讲述了开发高性能.高弹性的JSP页面和Servlet的性能优化技术.其意思是建立尽可能快的并能适应数量增长的用户及其请求.在本文中,我将带领你学习已经实践和得到证实的性能调整技术,它将大大地提高你的servlet和jsp页面的性能,进而提升J2EE的性能.这些技术的部分用于开发阶段,例如,设计和编码阶段.另一部分技术则与配置相关. 技术1:在HttpServletinit()方法中缓存数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1kDX5z.html" rel="bookmark">JSP&sol;Servlet应用程序优化八法&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你的J2EE应用是不是运行的很慢?它们能不能承受住不断上升的访问量?本文讲述了开发高性能.高弹性的JSP页面和Servlet的性能优化技术.其意思是建立尽可能快的并能适应数量增长的用户及其请求.在本文中,我将带领你学习已经实践和得到证实的性能调整技术,它将大大地提高你的servlet和jsp页面的性能,进而提升J2EE的性能.这些技术的部分用于开发阶段,例如,设计和编码阶段.另一部分技术则与配置相关. 技术1:在HttpServletinit()方法中缓存数据 服务器会在创建servlet实例之			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0l4nM.html" rel="bookmark">Servlet和JSP 性能调整技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js|servlet|性能 概述 在本文中, Rahul Chaudhary将描述性能调整技术 (PTT performance-tuning techniques) 的使用,来提升servlets 和JSP 的性能,以此来提升你的J2EE应用的性能.笔者假设读者具有基础的servlets 和JSPs知识. 你的J2EE应用程序运行缓慢么?它们可以满足足够的压力么?本文将会描述如何在开发高性能的应用和JSP以及servlets中使用性能调整技术 (PTT performance-tuning t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6a5Xb.html" rel="bookmark">心得总结：Java性能优化技巧集锦</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技巧|心得|性能|优化 一.通用篇 &quot;通用篇&quot;讨论的问题适合于大多数Java应用. 1.1 不用new关键词创建类的实例 用new关键词创建类的实例时,构造函数链中的所有构造函数都会被自动调用.但如果一个对象实现了Cloneable接口,我们可以调用它的clone()方法.clone()方法不会调用任何类构造函数. 在使用设计模式(Design Pattern)的场合,如果用Factory模式创建对象,则改用clone()方法创建新的对象实例非常简单.例如,下面是Factory模式的一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4mr1b.html" rel="bookmark">Java性能优化技巧集锦</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				技巧|性能|优化 =================================== 摘要: =================================== 可供程序利用的资源(内存.CPU时间.网络带宽等)是有限的,优化的目的就是让程序用尽可能少的资源完成预定的任务.优化通常包含两方面的内容:减小代码的体积,提高代码的运行效率.本文讨论的主要是如何提高代码的效率. =================================== 提纲: ===================			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY9QrM.html" rel="bookmark" class="title">ASP&period;NET教程&colon;绝对路径与相对路径的拼合方法</a>
					<div>
						引言 在做文件路径处理时,经常需要对一个路径的相对路径进行操作,那么如何拼合相对路径以生成新的绝对路径呢? Path.Combine()方法 我们知道System.IO.Path是专门用来处理路径的静 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdYXAz.html" rel="bookmark" class="title">Dreamweaver MX 2004高级技巧&lpar;2&rpar;滚动字幕</a>
					<div>
						dreamweaver|高级|技巧 在网页中,制作滚动字幕使用marquee标签,如果用手写的方法,实在是太麻烦了.从Dreamweaver MX 2004开始,可以使用&quot;标签选择器&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5noaz.html" rel="bookmark" class="title">oracle常用sql语法集合</a>
					<div>
						一.数据控制语句(DML)部分 1.insert (往数据表里插入记录的语句) insert INTO 表名(字段名1, 字段名2, --) VALUES ( 值1, 值2, --); insert  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK333M.html" rel="bookmark" class="title">Play框架（二） 响应</a>
					<div>
						我上一章总结了Play框架的基本使用.这一章里,我将修改和增加响应. HTTP协议是按照&quot;请求-响应&quot;的方式工作.Play框架的核心是用动作(Action)来完成&quot;请求- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEVaob.html" rel="bookmark" class="title">利用Java注解特性加载属性文件&lpar;properties&rpar;的值到Java类</a>
					<div>
						在此之前我都是写个PropertyUtil类来加载配置文件,然后通过get方法,把key对应的值取出来. Spring提供一个PropertyPlaceholderConfigurer类,可以读取配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPL17M.html" rel="bookmark" class="title">Excel表格中批量添加符号</a>
					<div>
						将数据录入到Excel表格中有什么难的?这可是Excel最基本的操作,只要会打字不就行了吗?然而在实际工作中,这项看似简单的操作有时却并没有那么容易完成. 由于不同的工作内容需要不同格式的数据,所以在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPZo8z.html" rel="bookmark" class="title">360安全卫士如何实现重装系统</a>
					<div>
						  电脑系统出现严重问题,可以使用360安全卫士重装系统,简单方便,支持win8/7/vista/xp系统. 工具/原料 电脑可以上网. 方法/步骤 下载安装360安全卫士最新版本,本经验作者使用的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR88Nz.html" rel="bookmark" class="title">金山wps怎么自动生成目录？wps自动生成目录</a>
					<div>
						  很多人使用金山WPS文字的时候不懂如何设置自动生成目录,那么就跟小编一起来学习一下如何操作吧,相信学会后可以在你的功能中节省一大笔时间. 金山wps怎么自动生成目录?wps自动生成目录 1.打开工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGJo9p.html" rel="bookmark" class="title">win8电脑如何在兼容模式下安装win7电脑驱动？</a>
					<div>
						  很多用户都会觉得win8系统表现平平,那么为什么这样说呢?其实,win8系统的一个表现确实让很多Windows用户表示无法接受,这便是win8系统的兼容性,例如之前一位朋友提到的,自己的win8系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw6mKp.html" rel="bookmark" class="title">邮政&sol;建设银行卡手机号码换了更改方法</a>
					<div>
						  当我们需要更改银行预留手机号时,网上银行是无法办理的,我们就需要带上个人身份证和银行卡去银行的营业大厅办理,很简单哦~工作人员会为你更改的.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqroeb.html" rel="bookmark" class="title">JQuery右键菜单插件ContextMenu使用指南&lowbar;jquery</a>
					<div>
						插件下载地址: http://www.trendskitchens.co.nz/jquery/contextmenu/jquery.contextmenu.r2.js 压缩版: http://www. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWw0Wp.html" rel="bookmark" class="title">关于删除MySQL Logs的问题记录</a>
					<div>
						五一前,一个DBA同事反馈,在日常环境中删除一个大的slow log文件(假设文件大小10G以上吧),然后在MySQL中执行flush slow logs,会发现mysqld hang住. 今天尝试着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6kQ7b.html" rel="bookmark" class="title">解锁按钮-Java web 如何按钮的解锁问题，根据需求该如何做，请大神指教</a>
					<div>
						问题描述 Java web 如何按钮的解锁问题,根据需求该如何做,请大神指教 1.点击&quot;保存按钮&quot;后保存录入学生成绩,教师可对保存的成绩进行修改, 2.点击&quot;提交按钮&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAG5Vp.html" rel="bookmark" class="title">平台-移动联通的运营商提供查询通话详单的接口吗</a>
					<div>
						问题描述 移动联通的运营商提供查询通话详单的接口吗 公司的项目需要风控,通过各种渠道评估个人信誉等问题,请问各大通信公司移动联通的是否同个提供查询通话详单的接口? 解决方案 想多了吧,这种隐私应该只有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRqRZb.html" rel="bookmark" class="title">一款怎么样的音乐App会吸引你的注意？</a>
					<div>
						摘要: 一款怎么样的音乐App会吸引你的注意? 目前在线音乐市场巨头林立,而各大音乐 App 的基础音乐部分其实差别不大.用户通过搜索.推荐或者歌单来发现歌曲,然后在线试听以及下载, 一款怎么样的音乐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RkD6z.html" rel="bookmark" class="title">Android菜鸟的成长笔记（3）&mdash;&mdash;给QQ登录界面说So Easy</a>
					<div>
						原文:Android菜鸟的成长笔记(3)--给QQ登录界面说So Easy 上一篇:Android菜鸟的成长笔记(2)--第一个Android应用 我们前面已经做了第一个Android应用程序,虽然有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZxQNM.html" rel="bookmark" class="title">java-get set的时候报空指针异常</a>
					<div>
						问题描述 get set的时候报空指针异常 getset方法 private String flieName; public String getFlieName() { return flieNam ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAW41b.html" rel="bookmark" class="title">windows 2008 服务器 x509certificate2加载证书 出现了内部错误</a>
					<div>
						问题描述 windows2008服务器x509certificate2加载证书出现了内部错误,同样的代码在windows2003服务器是没有问题的.请大侠们指教 解决方案 解决方案二:问题补充,非常急 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze06P7p.html" rel="bookmark" class="title">Scala入门到精通&mdash;&mdash;第六节：类和对象（一）</a>
					<div>
						本节主要内容 1 类定义.创建对象 2 主构造器 3 辅助构造器 类定义.创建对象 //采用关键字class定义 class Person { //类成员必须初始化,否则会报错 //这里定义的是一个公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWJVOz.html" rel="bookmark" class="title">利用c语言实现卷积码编码器示例&lowbar;C 语言</a>
					<div>
						实现(2, 1, 7)卷积码编码信息序列1001 1010 1111 1100生成序列g1 = 1011011;g2 = 1111001初始状态全0.以上参数可自行在main中修改. 复制代码 代码如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKvq5M.html" rel="bookmark" class="title">WPF界面设计技巧（6）&mdash;玩玩数字墨水手绘涂鸦</a>
					<div>
						原文:WPF界面设计技巧(6)-玩玩数字墨水手绘涂鸦        想让你的程序支持鼠标及手写笔涂鸦吗?只要敲入&quot;&lt;InkCanvas/&gt;&quot;这几个字符,你就会领悟什么叫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1088b.html" rel="bookmark" class="title">从事互联网金融的产品经理与传统互联网产品经理有什么不同？</a>
					<div>
						问: 从背景上来说互联网基因更重要还是金融背景更重要(我当然知道两者都重要),与传统互联网产品经理相比有什么特殊要求? 答一: 一.互联网思维与金融知识都要.不过金融是个很严谨.门槛高的一个行业(短时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkJlNM.html" rel="bookmark" class="title">hibernate 查询40万条记录出现 java&period;sql&period;SQLException 数字溢出 异常</a>
					<div>
						问题描述 大家好,我用hibernate 查询40万条记录,结果出现 java.sql.SQLException 数字溢出 异常,怎么回事啊?难道 hibernate 支持不了几十万的数据检索???我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Gj34M.html" rel="bookmark" class="title">命令行星期二 &mdash;&mdash; 第三篇</a>
					<div>
						命令行星期二 -- 第三篇 今天,肖茨先生将带领我们游历文件系统的第一部分.我们将学到如何访问.列出目录内的文件,以及首次介绍一些选项的运用.OK,让我们开始学习这周的第一个命令. ls ls 是一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdwkGz.html" rel="bookmark" class="title">跨境通不支持7天退货</a>
					<div>
						摘要: 海淘市场日益扩大,但热衷购买境外商品的消费者仍无法享受去年&lt;消费者权益保护法&gt;新增的网购无理由退货制度.记者在采访中了解到,即便是在跨境通商城这样被视作海淘正规军 &quot;海淘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWXR8z.html" rel="bookmark" class="title">刘强东：三招保住控制权</a>
					<div>
						导读:与京东资本历程有关的七个数字 1.1.380亿新股:京东IPO拟发行1.380亿新股,这个数数刚好与腾讯认购的股票数相等: 2.3.0%:京东旧股东出售的股票占上市前各自持股数量的3.0%: 3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YZwjp.html" rel="bookmark" class="title">领导干部应该以何种姿态面对网络时代</a>
					<div>
						据近日公布的http://www.aliyun.com/zixun/aggregation/25205.html&quot;&gt;清华大学的一项调查显示,在629名地方党政县处级以上领导中,近七成干 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7Qkrp.html" rel="bookmark" class="title">&lbrack;转&rsqb;360&OpenCurlyDoubleQuote;卸载门&rdquo;引发CIO群体反思：6成企业禁装360</a>
					<div>
						问题描述 &lt;CIOINSIGHT/信息方略&gt; 以免费模式横扫安全行业的奇虎360,因遭遇宝钢全面卸载而引发了一场冲击波.安全软件是否真安全?CIO群体的担忧骤然加剧并迅速扩散,由反思而起的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJePQ8p.html" rel="bookmark" class="title">link中要想实现两个有列表的控件的互查，应该使用什么方式？</a>
					<div>
						问题描述 link中要想实现两个有列表的控件的互查,应该使用什么方式? link中要想实现两个有列表的控件的互查,应该使用什么方式? 解决方案 listbox.Items.Cast.Where(x = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YxJ3p.html" rel="bookmark" class="title">WCS星际2失利Courage长微博致歉 F91</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;    在今早的WCS美洲区失利后,中国选手Courage背 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
